## org.gnu.gtk.event
Class ItemEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ItemEvent

All Implemented Interfaces:
  java.io.Serializable

public class ItemEvent
extends GtkEvent

An event represeting action by a `Item` widget.

See Also:
  Serialized Form

Nested Class Summary
`static class` `ItemEvent.Type` Type of a ItemEvent

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`ItemEvent(java.lang.Object source, ItemEvent.Type type)` Creates a new Button Event.

Method Summary
`boolean` `isOfType(ItemEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemEvent

    public ItemEvent(java.lang.Object source,
                     ItemEvent.Type type)

  Creates a new Button Event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### isOfType

    public boolean isOfType(ItemEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.